Bug 117617 - gdm will not start if root's startup RCs echo any text
gdm will not start if root's startup RCs echo any text
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-05 15:54 EST by Bishop Clark
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bishop Clark 2004-03-05 15:54:21 EST
Description of problem:

This was a fun night.  After an upgrade and installation of a tool
that happens to print something to the screen - perhaps a w list -
when root logs in, it was found that gdm seems to die.  

Symptom:  'x' in inittab loops.  

It can't start, you see, because something in the fact that there's
output in root's .bashrc or any /etc/profile.d script causes gdm to
totally barf.  Nah, I couldn't strace -p 1.  I stumbled on the
solution almost accidentally, and stopped fixing at some ungodly hour
when it stopped being broken.

Version-Release number of selected component (if applicable):
gdm-2.4.4.5-1.2

How reproducible:
All bleegin' night.

Steps to Reproduce:
1. toss an echo into root's .bashrc
2. init 3
3. init 5
  
Actual results:
'x' starts looping because gdm shuts down and cannot start up.  The
monitor doesn't even give the familiar click when X starts up;  it
just whines to the console about 'x restarting too fast' and that's
all the clue one gets.

Expected results:
gdm should still be able to start.  In fact, it should laugh at the
pathetic mumblings of start scripts.  It's *X*, after all, so big it
doesn't need any more letters in its name.  It doesn't bow to the whim
of some muttering of a .bashrc.

Additional info:
It was late.  My box may be made available to qualifying RHi/Fedora
people for poking, thanks to the magic of ssh, faked port-forwarding
via iptables and ssh2 keys - of which I'll be needing one.
Comment 1 Ray Strode [halfline] 2005-05-11 18:13:40 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.